
package de.ivu.elect.presentation.person.action;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.presentation.menu.AbstractActionEntry;

public class PersonendatenDeleteActionResolver extends AbstractPersonendatenDeleteActionResolver {

  private static final long serialVersionUID = 1L;

  public PersonendatenDeleteActionResolver() {
    super();
  }

  @Override
  @SuppressWarnings("unchecked")
  protected AbstractActionEntry< ? extends Personendaten> resolveAction(Personendaten personendaten) {
    throw new IllegalArgumentException("Action not found [personendaten = " + personendaten + "]");
  }

  @Override
  protected <E extends Personendaten> String resolveEditViewComponentName(Personendaten personendaten) {
    throw new IllegalArgumentException("View not found [personendaten = " + personendaten + "]");
  }
}
